AllegroGL: Data Fields

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

- All
- Functions
- Variables

- _
- a
- b
- c
- d
- f
- g
- i
- l
- o
- r
- s
- u

### - _ -

- __allegro_gl__glvtable_update_vtable() : glvtable.c
- __allegro_gl_best_config() : scorer.c
- __allegro_gl_convert_flags() : texture.c
- __allegro_gl_convert_rle_sprite() : glvtable.c
- __allegro_gl_create_extensions() : glext.c
- __allegro_gl_destroy_extensions() : glext.c
- __allegro_gl_fill_in_info() : scorer.c
- __allegro_gl_get_bitmap_color_format() : texture.c
- __allegro_gl_get_bitmap_type() : texture.c
- __allegro_gl_get_format_description() : texture.c
- __allegro_gl_get_num_channels() : texture.c
- __allegro_gl_get_texture_format_ex() : texture.c
- __allegro_gl_init_combine_textures() : glvtable.c
- __allegro_gl_init_nv_register_combiners() : glvtable.c
- __allegro_gl_load_extensions() : glext.c
- __allegro_gl_look_for_an_extension() : glext.c
- __allegro_gl_make_power_of_2() : glvtable.c
- __allegro_gl_manage_extensions() : glext.c
- __allegro_gl_munge_bitmap() : texture.c
- __allegro_gl_print_extensions() : glext.c
- __allegro_gl_reset_scorer() : scorer.c
- __allegro_gl_score_config() : scorer.c
- __allegro_gl_set_allegro_image_format() : alleggl.c
- __allegro_gl_set_extensions() : glext.c
- __allegro_gl_unmanage_extensions() : glext.c
- __fill_in_info_struct() : glext.c
- __video_update_memory_copy() : videovtb.c

### - a -

- agl_char_length_fractional() : fontconv.c
- agl_parse_section() : alleggl.c
- aglf_sort_out_glyphs() : fontconv.c
- algl_alert() : alleggl.h
- algl_alert3() : alleggl.h
- algl_do_dialog() : alleggl.h
- algl_draw_mouse() : alleggl.h
- algl_popup_dialog() : alleggl.h
- algl_set_mouse_drawer() : alleggl.h
- allegro_gl_apply_quat() : alleggl.h
- allegro_gl_check_texture() : alleggl.h
- allegro_gl_check_texture_ex() : alleggl.h
- allegro_gl_clear_settings() : alleggl.h
- allegro_gl_convert_allegro_font() : fontconv.c
- allegro_gl_convert_allegro_font_ex() : fontconv.c
- allegro_gl_create_video_bitmap() : videovtb.c
- allegro_gl_created_sub_bitmap() : glvtable.c
- allegro_gl_destroy_font() : aglf.c
- allegro_gl_drawing_mode() : glvtable.c
- allegro_gl_flip() : alleggl.c
- allegro_gl_flip_texture() : alleggl.h
- allegro_gl_get() : alleggl.h
- allegro_gl_get_bitmap_color_format() : texture.c
- allegro_gl_get_bitmap_type() : texture.c
- allegro_gl_get_proc_address() : glext.c
- allegro_gl_get_texture_format() : alleggl.h
- allegro_gl_GLdouble_to_MATRIX() : alleggl.h
- allegro_gl_GLdouble_to_MATRIX_f() : alleggl.h
- allegro_gl_GLfloat_to_MATRIX() : alleggl.h
- allegro_gl_GLfloat_to_MATRIX_f() : alleggl.h
- allegro_gl_hide_mouse() : gui.c
- allegro_gl_is_extension_supported() : glext.c
- allegro_gl_list_font_textures() : aglf.c
- allegro_gl_load_settings() : alleggl.h
- allegro_gl_load_system_font() : aglf.c
- allegro_gl_load_system_font_ex() : aglf.c
- allegro_gl_make_masked_texture() : alleggl.h
- allegro_gl_make_texture() : alleggl.h
- allegro_gl_make_texture_ex() : alleggl.h
- allegro_gl_make_video_bitmap() : videovtb.c
- allegro_gl_make_video_bitmap_helper0() : videovtb.c
- allegro_gl_make_video_bitmap_helper1() : videovtb.c
- allegro_gl_MATRIX_f_to_GLdouble() : alleggl.h
- allegro_gl_MATRIX_f_to_GLfloat() : alleggl.h
- allegro_gl_MATRIX_to_GLdouble() : alleggl.h
- allegro_gl_MATRIX_to_GLfloat() : alleggl.h
- allegro_gl_memory_blit_between_formats() : glvtable.c
- allegro_gl_move_mouse() : gui.c
- allegro_gl_opengl_version() : alleggl.c
- allegro_gl_printf() : aglf.c
- allegro_gl_printf_ex() : aglf.c
- allegro_gl_quat_to_glrotated() : alleggl.h
- allegro_gl_quat_to_glrotatef() : alleggl.h
- allegro_gl_save_settings() : alleggl.h
- allegro_gl_screen_acquire() : glvtable.c
- allegro_gl_screen_blit_from_memory() : glvtable.c
- allegro_gl_screen_blit_to_memory() : glvtable.c
- allegro_gl_screen_blit_to_self() : glvtable.c
- allegro_gl_screen_clear_to_color() : glvtable.c
- allegro_gl_screen_draw_256_sprite() : glvtable.c
- allegro_gl_screen_draw_character() : glvtable.c
- allegro_gl_screen_draw_color_glyph() : glvtable.c
- allegro_gl_screen_draw_color_glyph_ex() : glvtable.c
- allegro_gl_screen_draw_glyph() : glvtable.c
- allegro_gl_screen_draw_glyph_ex() : glvtable.c
- allegro_gl_screen_draw_rle_sprite() : glvtable.c
- allegro_gl_screen_draw_sprite() : glvtable.c
- allegro_gl_screen_draw_sprite_h_flip() : glvtable.c
- allegro_gl_screen_draw_sprite_v_flip() : glvtable.c
- allegro_gl_screen_draw_sprite_vh_flip() : glvtable.c
- allegro_gl_screen_draw_trans_rgba_rle_sprite() : glvtable.c
- allegro_gl_screen_draw_trans_rgba_sprite() : glvtable.c
- allegro_gl_screen_getpixel() : glvtable.c
- allegro_gl_screen_hline() : glvtable.c
- allegro_gl_screen_line() : glvtable.c
- allegro_gl_screen_masked_blit() : glvtable.c
- allegro_gl_screen_pivot_scaled_sprite_flip() : glvtable.c
- allegro_gl_screen_polygon() : glvtable.c
- allegro_gl_screen_polygon3d() : glvtable.c
- allegro_gl_screen_polygon3d_f() : glvtable.c
- allegro_gl_screen_putpixel() : glvtable.c
- allegro_gl_screen_quad3d() : glvtable.c
- allegro_gl_screen_quad3d_f() : glvtable.c
- allegro_gl_screen_rect() : glvtable.c
- allegro_gl_screen_rectfill() : glvtable.c
- allegro_gl_screen_release() : glvtable.c
- allegro_gl_screen_triangle() : glvtable.c
- allegro_gl_screen_triangle3d() : glvtable.c
- allegro_gl_screen_triangle3d_f() : glvtable.c
- allegro_gl_screen_vline() : glvtable.c
- allegro_gl_set() : alleggl.h
- allegro_gl_set_allegro_mode() : glvtable.c
- allegro_gl_set_blender_mode() : alleggl.c
- allegro_gl_set_font_generation_mode() : aglf.c
- allegro_gl_set_mouse_sprite() : gui.c
- allegro_gl_set_projection() : glvtable.c
- allegro_gl_set_texture_format() : alleggl.h
- allegro_gl_set_video_bitmap_color_depth() : alleggl.h
- allegro_gl_show_mouse() : gui.c
- allegro_gl_unset_allegro_mode() : glvtable.c
- allegro_gl_unset_projection() : glvtable.c
- allegro_gl_upload_and_display_texture() : glvtable.c
- allegro_gl_use_alpha_channel() : alleggl.h
- allegro_gl_use_mipmapping() : alleggl.h
- allegro_gl_video_acquire() : videovtb.c
- allegro_gl_video_blit_from_memory() : videovtb.c
- allegro_gl_video_blit_from_memory_ex() : videovtb.c
- allegro_gl_video_blit_to_memory() : videovtb.c
- allegro_gl_video_blit_to_self() : videovtb.c
- allegro_gl_video_clear_to_color() : videovtb.c
- allegro_gl_video_do_stretch_blit() : videovtb.c
- allegro_gl_video_draw_256_sprite() : videovtb.c
- allegro_gl_video_draw_character() : videovtb.c
- allegro_gl_video_draw_color_glyph() : videovtb.c
- allegro_gl_video_draw_glyph() : videovtb.c
- allegro_gl_video_draw_sprite() : videovtb.c
- allegro_gl_video_draw_sprite_h_flip() : videovtb.c
- allegro_gl_video_draw_sprite_v_flip() : videovtb.c
- allegro_gl_video_draw_sprite_vh_flip() : videovtb.c
- allegro_gl_video_draw_trans_rgba_sprite() : videovtb.c
- allegro_gl_video_getpixel() : videovtb.c
- allegro_gl_video_hline() : videovtb.c
- allegro_gl_video_line() : videovtb.c
- allegro_gl_video_masked_blit() : videovtb.c
- allegro_gl_video_pivot_scaled_sprite_flip() : videovtb.c
- allegro_gl_video_polygon3d() : videovtb.c
- allegro_gl_video_polygon3d_f() : videovtb.c
- allegro_gl_video_putpixel() : videovtb.c
- allegro_gl_video_quad3d() : videovtb.c
- allegro_gl_video_quad3d_f() : videovtb.c
- allegro_gl_video_rectfill() : videovtb.c
- allegro_gl_video_release() : videovtb.c
- allegro_gl_video_triangle() : videovtb.c
- allegro_gl_video_triangle3d() : videovtb.c
- allegro_gl_video_triangle3d_f() : videovtb.c
- allegro_gl_video_vline() : videovtb.c

### - b -

- build_settings() : alleggl.c

### - c -

- copy_glyph_range() : fontconv.c
- create_textured_font_call_lists() : fontconv.c
- crop_font_range() : fontconv.c

### - d -

- d_algl_viewport_proc() : alleggl.h
- destroy_split_font() : fontconv.c
- do_crop_font_range() : fontconv.c
- do_masked_blit_screen() : glvtable.c
- do_masked_blit_video() : videovtb.c
- do_screen_masked_blit_standard() : glvtable.c
- do_texture_upload() : texture.c
- draw_glyphs() : fontconv.c
- dummy_unwrite_bank() : glvtable.c , videovtb.c

### - f -

- find_range() : aglf.c

### - g -

- get_score() : scorer.c

### - i -

- install_allegro_gl() : alleggl.c
- iroundf() : fontconv.c

### - l -

- list_saved_gfx_drivers() : alleggl.c
- log2i() : texture.c

### - o -

- our_gfx_drivers() : alleggl.c

### - r -

- remove_allegro_gl() : alleggl.c

### - s -

- screen_masked_blit_combine_tex() : glvtable.c
- screen_masked_blit_nv_register() : glvtable.c
- screen_masked_blit_standard() : glvtable.c
- set_drawing_pattern() : videovtb.c
- sort_glyphs() : fontconv.c
- sort_textures() : fontconv.c
- split_color() : glvtable.c
- split_font() : fontconv.c

### - u -

- unset_drawing_pattern() : videovtb.c
- unsort_glyphs() : fontconv.c
- update_texture_memory() : videovtb.c